GCUBELocalProducer (producer 1.3.0-3.3.0 API)
Date: 2014-07-18

org.gcube.messaging.common.producer

## Class GCUBELocalProducer

- java.lang.Object
- - org.gcube.common.core.utils.handlers.GCUBEHandler<org.gcube.common.core.monitoring.LocalMonitor>
  - - org.gcube.common.core.monitoring.LocalMonitor
    - - org.gcube.messaging.common.producer.GCUBELocalProducer

- All Implemented Interfaces:
    org.gcube.common.core.utils.handlers.GCUBEIHandler<org.gcube.common.core.monitoring.LocalMonitor>

      public class GCUBELocalProducer
      extends org.gcube.common.core.monitoring.LocalMonitor

  Implementation of a Local Monitor
  Author:
    Andrea Manzi(CERN)

- - ### Field Summary

    - ### Fields inherited from class org.gcube.common.core.monitoring.LocalMonitor

      `implementationMap, interval`

    - ### Fields inherited from class org.gcube.common.core.utils.handlers.GCUBEHandler

      `handled, producer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GCUBELocalProducer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addScope(org.gcube.common.core.scope.GCUBEScope scope)` Add the Scope to the monitoredMap
    `static boolean` | `checkStartScope(org.gcube.common.core.scope.GCUBEScope scope)` Check if the given scope belongs to start scopes
    `static Set<org.gcube.common.core.scope.GCUBEScope>` | `getMonitoredScope()` retrun the Monitored scope
    `static ArrayList<javax.jms.QueueConnection>` | `getQueueConnection(org.gcube.common.core.scope.GCUBEScope scope)` Get the QueueConnection list for the given scope
    `void` | `loadProbes(Map<String,Class<? extends org.gcube.common.core.monitoring.GCUBETestProbe>> map)`
    `static void` | `reloadConnection(org.gcube.common.core.scope.GCUBEScope scope)` Reload the scope connection
    `static void` | `removeScope(org.gcube.common.core.scope.GCUBEScope scope)` Remove Scope from BrokerMap
    `void` | `run()`

    - ### Methods inherited from class org.gcube.common.core.monitoring.LocalMonitor

      `getBrokerMap, getInterval, setBrokerMap, setInterval`

    - ### Methods inherited from class org.gcube.common.core.utils.handlers.GCUBEHandler

      `clearBlackboard, getBlackboard, getHandled, getId, getLogger, getName, getScopeManager, getSecurityManager, getState, notify, setBlackboard, setHandled, setLogger, setName, setScopeManager, setSecurityManager, setState, subscribe, undo, unsubscribe`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GCUBELocalProducer

          public GCUBELocalProducer()

  - ### Method Detail

    - #### loadProbes

          public void loadProbes(Map<String,Class<? extends org.gcube.common.core.monitoring.GCUBETestProbe>> map)

      Specified by:
        `loadProbes` in class `org.gcube.common.core.monitoring.LocalMonitor`

    - #### getQueueConnection

          public static ArrayList<javax.jms.QueueConnection> getQueueConnection(org.gcube.common.core.scope.GCUBEScope scope)

      Get the QueueConnection list for the given scope
      Returns:
        the queue Connection list for the given scope

    - #### addScope

          public static void addScope(org.gcube.common.core.scope.GCUBEScope scope)
                               throws BrokerNotConfiguredInScopeException,
                                      Exception

      Add the Scope to the monitoredMap
      Throws:
        `BrokerNotConfiguredInScopeException`
        `Exception`

    - #### getMonitoredScope

          public static Set<org.gcube.common.core.scope.GCUBEScope> getMonitoredScope()

      retrun the Monitored scope
      Returns:
        The Set of Scope to monitor

    - #### removeScope

          public static void removeScope(org.gcube.common.core.scope.GCUBEScope scope)

      Remove Scope from BrokerMap
      Parameters:
        `scope` - the scope to remove

    - #### reloadConnection

          public static void reloadConnection(org.gcube.common.core.scope.GCUBEScope scope)

      Reload the scope connection
      Parameters:
        `scope` - the scope to reload

    - #### run

          public void run()

      Specified by:
        `run` in interface `org.gcube.common.core.utils.handlers.GCUBEIHandler<org.gcube.common.core.monitoring.LocalMonitor>`
      Specified by:
        `run` in class `org.gcube.common.core.utils.handlers.GCUBEHandler<org.gcube.common.core.monitoring.LocalMonitor>`

    - #### checkStartScope

          public static boolean checkStartScope(org.gcube.common.core.scope.GCUBEScope scope)

      Check if the given scope belongs to start scopes
      Parameters:
        `scope` - the scope to check
      Returns:
        true/false

Copyright © 2014. All Rights Reserved.